osl::eval::ml::KingXBlockedBoth Class Reference

`#include <king8.h>`

Inheritance diagram for osl::eval::ml::KingXBlockedBoth:

## Static Public Member Functions

static void | evalWithUpdateBang (const NumEffectState &new_state, Move last_move, MultiIntPair &last_values_and_out)
Static Public Member Functions inherited from osl::eval::ml::KingXBlockedBase
static const MultiIntPair | eval (const NumEffectState &state, const table_t &table)
template<osl::Player P>
static int | index (Square king, int diff)
template<osl::Player P>
static bool | isBlocked (const NumEffectState &state, int diff)

## Additional Inherited Members

Public Types inherited from osl::eval::ml::KingXBlockedBase
enum | { DIM = 10 }
typedef CArray< MultiInt, 10 > | table_t

## Detailed Description

Definition at line 246 of file core/osl/eval/king8.h.

## Member Function Documentation

## evalWithUpdateBang()

void osl::eval::ml::KingXBlockedBoth::evalWithUpdateBang | ( | const NumEffectState & | new_state,
|  | Move | last_move,
|  | MultiIntPair & | last_values_and_out )

static

Definition at line 915 of file king8.cc.

References osl::eval::ml::KingXBlockedYBase::evalWithUpdateBang().

Referenced by osl::eval::ml::OpenMidEndingEval::updateSub().

The documentation for this class was generated from the following files:

- core/osl/eval/king8.h
- king8.cc